Skip to main content
`Ctrl`+`K`

# TaoBRGNGetRegularizationType

Get the `TaoBRGNRegularizationType` of a `TAOBRGN`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoBRGNGetRegularizationType(Tao tao, TaoBRGNRegularizationType *type)

Not collective

## Input Parameter

- tao - a `Tao` of type `TAOBRGN`

## Output Parameter

- type - the `TaoBRGNRegularizationType`

## See Also

TAO: Optimization Solvers, `Tao`, `TAOBRGN`, `TaoBRGNRegularizationType`, `TaoBRGNSetRegularizationType()`

## Level

advanced

## Location

src/tao/leastsquares/impls/brgn/brgn.c

## Examples

src/tao/leastsquares/tutorials/cs1.c

## Implementations

TaoBRGNGetRegularizationType_BRGN() in src/tao/leastsquares/impls/brgn/brgn.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages